use microrm::prelude::*;
use test_log::test;

mod common;

#[derive(Entity)]
struct KV {
    #[key]
    name: String,
    value: String,
}

#[derive(Database)]
struct KVDB {
    entries: microrm::IDMap<KV>,
}

#[test]
fn repeated_uniqueness() {
    let db = common::open_test_db::<KVDB>("repeated_uniqueness");

    db.entries
        .first()
        .first()
        .get()
        .expect("couldn't execute query with multiple uniqueness constraints");
}
